
#define FontM "Zeppelin32"

#define ST_LEFT          0
#define ST_RIGHT         1
#define ST_CENTER       2
#define ST_FRAME         64

#define CT_STATIC       0
#define CT_BUTTON       1
#define CT_EDIT          2
#define CT_COMBO       4
#define CT_LISTBOX               5
#define CT_ACTIVETEXT 11

class zsuText
{
   type = CT_STATIC;
   idc = -1;
   style = ST_LEFT;
   colorBackground[] = {0, 0, 0, 0};
   colorText[] = {1, 1, 1, 1};
   font = FontM;
   sizeEx = 0.025;
};

class zsuButton{
    idc = -1;
    type = 1;
    style = 2;
    moving = false;
    x = 0.45;
    y = 0.9;
    h = 0.05;
    w = 0.1;
    font = "Zeppelin32";
    sizeEx = 0.025;
    default = false;
    colorText[] = {0,0,0,1}; // white
    colorFocused[] = {0,1,0,1}; // green
    colorShadow[] = {0.8,0.8,0.8,1}; // darkgrey
    colorBorder[] = {0.5,0.5,0.5,1}; // grey
    colorBackground[] = {0,1,1,1};
    colorBackgroundActive[] = {0,1,0,1}; // green
    colorDisabled[] = {1,0,0,1}; // red
    colorBackgroundDisabled[] = {0.5,0.5,0.5,1}; // grey
    borderSize = 0;//0.015;
    offsetX = 0;//0.005;
    offsetY = 0;//0.005;
    offsetPressedX = 0.002;
    offsetPressedY = 0.002;
    soundEnter[] = {"",0,1}; // NoSound
    soundPush[] = {"",0,1}; // NoSound
    soundClick[] = {"",0,1}; // NoSound
    soundEscape[] = {"",0,1}; // NoSound
  };
  

class zsuFrame
{
type = CT_STATIC;
idc = -1;
style = 64;
shadow = 2;
colorBackground[] = {0,0,0,0.5};
colorText[] = {1,1,1,1};
font = "Zeppelin32";
sizeEx = 0.03;
text = "";
};

//
#define COLOR_LIGHTBROWN { 0.776, 0.749, 0.658, 1 }
#define COLOR_HALF_BLACK { 0, 0, 0, 0.5 }
#define COLOR_TRANSPARENT { 0, 0, 0, 0 }
//


// ------------- MAIN FO WINDOW ---------------
class zsuArty {
	idd = -1;
	movingEnable = 1;
	objects[] = {};
	controlsBackground[] = { zsuArtyFrame,zsuArtyFrameadj,zsuArtyFrameFire, zsuArtyFrameback };
	controls[] = { zsuArtyButtonRequest, zsuArtyButtonRequest1,zsuArtyButtonAdd50, zsuArtyButtonDrop50, zsuArtyButtonLeft50, zsuArtyButtonRight50, zsuArtyButtonAdjust, zsuArtyButtonFFE1, zsuArtyButtonFFE3, zsuArtyButtonFFEtemplate, zsuArtyButtonFFE5, zsuArtyButtonExit };


class zsuArtyFrame: zsuFrame
{
	idc = 1800;
	text = "Call for fire request";
	x = 0.1875 * safezoneW + safezoneX;
	y = 0.0811109 * safezoneH + safezoneY;
	w = 0.38 * safezoneW;
	h = 0.542778 * safezoneH;
    colorBackground[] = COLOR_HALF_BLACK;
};
class zsuArtyFrameadj: zsuFrame
{
	idc = 1800;
	text = " Adjustments ";
	x = 0.1875 * safezoneW + safezoneX;
	y = 0.161109 * safezoneH + safezoneY;
	w = 0.38 * safezoneW;
	h = 0.4627799 * safezoneH;

    colorBackground[] = COLOR_HALF_BLACK;
};
class zsuArtyFrameFire: zsuFrame
{
	idc = 1800;
	text = " - CALL FIRE MISSION - ";
	x = 0.1875 * safezoneW + safezoneX;
	y = 0.371109 * safezoneH + safezoneY;
	w = 0.38 * safezoneW;
	h = 0.152778 * safezoneH;
    colorBackground[] = COLOR_HALF_BLACK;
};
class zsuArtyFrameback: zsuText
{
	idc = 1800;
	text = "";
	x = 0.1875 * safezoneW + safezoneX;
	y = 0.0811109 * safezoneH + safezoneY;
	w = 0.38 * safezoneW;
	h = 0.542778 * safezoneH;
    colorBackground[] = COLOR_HALF_BLACK;
};

class zsuArtyButtonRequest: zsuButton
{
	idc = 1600;
	text = "Request Fire Mission";
	x = 0.19625 * safezoneW + safezoneX;
	y = 0.108889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "closeDialog 0; fmsn1 = [] execVM 'zsuArty\callforfire.sqf';"
};

class zsuArtyButtonRequest1: zsuButton
{
	idc = 1600;
	text = "Update Observer bearing";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.108889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "closeDialog 0; afmsn1 = [] execVM 'zsuArty\obsdata.sqf';"
};


class zsuArtyButtonAdd50: zsuButton
{
	idc = 1600;
	text = "Add 50";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.188889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "move1 =[zsuarty_tempguntgt, zsuarty_fobearing, 50] execVM 'zsuArty\moveobject.sqf'; hint1 =[] execVM 'zsuArty\printadjhint.sqf'; zsuarty_ud = zsuarty_ud + 50;"
};

class zsuArtyButtonDrop50: zsuButton
{
	idc = 1600;
	text = "Drop 50";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.228889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "move1 =[zsuarty_tempguntgt, zsuarty_fobearing, -50] execVM 'zsuArty\moveobject.sqf';hint1 =[] execVM 'zsuArty\printadjhint.sqf'; zsuarty_ud = zsuarty_ud - 50;"
};

class zsuArtyButtonLeft50: zsuButton
{
	idc = 1600;
	text = "Left 50";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.268889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "move1 =[zsuarty_tempguntgt, (zsuarty_fobearing-90), 50] execVM 'zsuArty\moveobject.sqf';hint1 =[] execVM 'zsuArty\printadjhint.sqf'; zsuarty_lr = zsuarty_lr - 50;"
};

class zsuArtyButtonRight50: zsuButton
{
	idc = 1600;
	text = "Right 50";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.308889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "move1 =[zsuarty_tempguntgt, (zsuarty_fobearing+90), 50] execVM 'zsuArty\moveobject.sqf';hint1 =[] execVM 'zsuArty\printadjhint.sqf'; zsuarty_lr = zsuarty_lr + 50;"
};

class zsuArtyButtonAdjust: zsuButton
{
	idc = 1600;
	text = "Adjust fire (Single round)";
	x = 0.19625 * safezoneW + safezoneX;
	y = 0.188889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
    colorBackground[] = {1,0,0,1};
    colorBackgroundActive[] = {1,0,0,1}; 
	action = "closeDialog 0; msnadj =[1, zsuarty_tempguntgt, zsuarty_lr, zsuarty_ud] execVM 'zsuArty\fireartysim.sqf';"
};

class zsuArtyButtonFFE1: zsuButton
{
	idc = 1600;
	text = "1 Round Fire for effect";
	x = 0.19625 * safezoneW + safezoneX;
	y = 0.408889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
    colorBackground[] = {1,0,0,1};
    colorBackgroundActive[] = {1,0,0,1}; 
	action = "closeDialog 0; zsuarty_roundsffe = 1; snffe =[2, zsuarty_tempguntgt, zsuarty_lr, zsuarty_ud] execVM 'zsuArty\fireartysim.sqf';"
};
class zsuArtyButtonFFE3: zsuButton
{
	idc = 1600;
	text = "3 Rounds Fire for effect";
	x = 0.19625 * safezoneW + safezoneX;
	y = 0.458889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
    colorBackground[] = {1,0,0,1};
    colorBackgroundActive[] = {1,0,0,1}; 
	action = "closeDialog 0; zsuarty_roundsffe = 3; snffe =[2, zsuarty_tempguntgt, zsuarty_lr, zsuarty_ud] execVM 'zsuArty\fireartysim.sqf';"
};
class zsuArtyButtonFFE5: zsuButton
{
	idc = 1600;
	text = "5 Rounds Fire for effect";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.408889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
    colorBackground[] = {1,0,0,1};
    colorBackgroundActive[] = {1,0,0,1}; 
	action = "closeDialog 0; zsuarty_roundsffe = 5; snffe =[2, zsuarty_tempguntgt, zsuarty_lr, zsuarty_ud] execVM 'zsuArty\fireartysim.sqf';"
};

class zsuArtyButtonFFEtemplate: zsuButton
{
	idc = 1600;
	text = "Fire for effect - Standard";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.458889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
    colorBackground[] = {1,0,0,1};
    colorBackgroundActive[] = {1,0,0,1}; 
	action = "closeDialog 0; zsuarty_roundsffe = zsuarty_roundsffetemplate; snffe =[2, zsuarty_tempguntgt, zsuarty_lr, zsuarty_ud] execVM 'zsuArty\fireartysim.sqf';"
};

class zsuArtyButtonExit: zsuButton
{
	idc = 1600;
	text = "Close";
	x = 0.19625 * safezoneW + safezoneX;
	y = 0.558889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
    action = "closeDialog 0;"
};
};


// ----------- OBSERVER TO TARGET INFO --------

class zsuArtyFO {
	idd = -1;
	movingEnable = 1;
	objects[] = {};
	controlsBackground[] = { zsuArtyFrameFO, zsuArtyFramebackFO };
	controls[] = { zsuArtyButtonBearingUp, zsuArtyButtonBearingDown, zsuArtyButtonBearingUp2, zsuArtyButtonBearingDown2, zsuArtyButtonBearingUp3, zsuArtyButtonBearingDown3, zsuArtyButtonExit };


class zsuArtyFrameFO: zsuFrame
{
	idc = 1800;
	text = "OBSERVER TO TARGET INFORMATION";
	x = 0.1875 * safezoneW + safezoneX;
	y = 0.0811109 * safezoneH + safezoneY;
	w = 0.35 * safezoneW;
	h = 0.232778 * safezoneH;
};

class zsuArtyFramebackFO: zsuText
{
	idc = 1800;
	text = "";
	x = 0.1875 * safezoneW + safezoneX;
	y = 0.0811109 * safezoneH + safezoneY;
	w = 0.35 * safezoneW;
	h = 0.232778 * safezoneH;
    colorBackground[] = COLOR_HALF_BLACK;
};

class zsuArtyButtonBearingUp: zsuButton
{
	idc = 1600;
	text = "Add 1 degree";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.108889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "zsuarty_fobearing = zsuarty_fobearing + 1;hint format ['Bearing to target : %1 degrees', zsuarty_fobearing];"
};

class zsuArtyButtonBearingDown: zsuButton
{
	idc = 1600;
	text = "Subtract 1 degree";
	x = 0.19625 * safezoneW + safezoneX;
	y = 0.108889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "zsuarty_fobearing = zsuarty_fobearing - 1; hint format ['Bearing to target : %1 degrees', zsuarty_fobearing];"
};

class zsuArtyButtonBearingUp2: zsuButton
{
	idc = 1600;
	text = "Add 10 degrees";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.148889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "zsuarty_fobearing = zsuarty_fobearing + 10;hint format ['Bearing to target : %1 degrees', zsuarty_fobearing];"
};

class zsuArtyButtonBearingDown2: zsuButton
{
	idc = 1600;
	text = "Subtract 10 degrees";
	x = 0.19625 * safezoneW + safezoneX;
	y = 0.148889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "zsuarty_fobearing = zsuarty_fobearing - 10; hint format ['Bearing to target : %1 degrees', zsuarty_fobearing];"
};

class zsuArtyButtonBearingUp3: zsuButton
{
	idc = 1600;
	text = "Add 100 degrees";
	x = 0.36625 * safezoneW + safezoneX;
	y = 0.188889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "zsuarty_fobearing = zsuarty_fobearing + 100;hint format ['Bearing to target : %1 degrees', zsuarty_fobearing];"
};

class zsuArtyButtonBearingDown3: zsuButton
{
	idc = 1600;
	text = "Subtract 100 degrees";
	x = 0.19625 * safezoneW + safezoneX;
	y = 0.188889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
	action = "zsuarty_fobearing = zsuarty_fobearing - 100; hint format ['Bearing to target : %1 degrees', zsuarty_fobearing];"
};

class zsuArtyButtonExit: zsuButton
{
	idc = 1600;
	text = "Send detail to guns";
	x = 0.27625 * safezoneW + safezoneX;
	y = 0.244889 * safezoneH + safezoneY;
	w = 0.1575 * safezoneW;
	h = 0.0372222 * safezoneH;
    action = "closeDialog 0;detailgiven = true;fmsn1 = [] execVM 'zsuArty\dataupdated.sqf';"
};
};
