//
//	simartytemplate.sqf
//
//	VERSION 1 OF
// All in one artillery adjusting sim - Init TEMPLATE file
//
// 	PART OF ZSUARTY SCRIPT
//
//
// BY ZODD - 17 APR 12
//
//	---USAGE---
// CALLED BY:
//  bty1 =[ammo unlimited?, templated battery setup (1 - 81mm MOR sect, 2 - MOR PL, 3 - light gun sect, 4 - light gun PL, 5 - heavy gun sect - 6 heavy gun PL, 7 single ship - 8 - 3 ships] execVM "zsuArty\simartyinit.sqf";
//
// eg for standard 155
// bty1 = [true, 1] execVM "zsuArty\simartytemplate.sqf"; == Unlimited ammo, 81mm MOR template
//
//

///////////////////////////////////////////////////////
//DEFAULT SETUPS //////////////////////////////////////
///////////////////////////////////////////////////////

//GUNS IN UNIT

_numguns1 = 3; //MOR SECT
_numguns2 = 9; //MOR PL
_numguns3 = 3; //LT GUN SECT
_numguns4 = 9; //LT GUN BTY
_numguns5 = 3; //MED GUN SECT
_numguns6 = 9; //MED GUN BTY
_numguns7 = 2; //NGS 1 SHIP
_numguns8 = 6; //NGS 3 SHIPS


//FFE Rounds

_ffernds1 = 5; //MOR SECT
_ffernds2 = 5; //MOR PL
_ffernds3 = 5; //LT GUN SECT
_ffernds4 = 5; //LT GUN BTY
_ffernds5 = 5; //MED GUN SECT
_ffernds6 = 5; //MED GUN BTY
_ffernds7 = 5; //NGS 1 SHIP
_ffernds8 = 5; //NGS 3 SHIPS


//First round accuracy

_initaccuracy1 = 200; //MOR SECT
_initaccuracy2 = 200; //MOR PL
_initaccuracy3 = 500; //LT GUN SECT
_initaccuracy4 = 500; //LT GUN BTY
_initaccuracy5 = 600; //MED GUN SECT
_initaccuracy6 = 600; //MED GUN BTY
_initaccuracy7 = 800; //NGS 1 SHIP
_initaccuracy8 = 800; //NGS 3 SHIPS

//Adjusting round accuracy

_adjacc1 = 10; //MOR SECT
_adjacc2 = 10; //MOR PL
_adjacc3 = 20; //LT GUN SECT
_adjacc4 = 20; //LT GUN BTY
_adjacc5 = 30; //MED GUN SECT
_adjacc6 = 30; //MED GUN BTY
_adjacc7 = 20; //NGS 1 SHIP
_adjacc8 = 20; //NGS 3 SHIPS

//FFE Accuracy

_ffeacc1 = 25; //MOR SECT
_ffeacc2 = 40; //MOR PL
_ffeacc3 = 35; //LT GUN SECT
_ffeacc4 = 50; //LT GUN BTY
_ffeacc5 = 40; //MED GUN SECT
_ffeacc6 = 70; //MED GUN BTY
_ffeacc7 = 50; //NGS 1 SHIP
_ffeacc8 = 70; //NGS 3 SHIPS

//Ordinance type

_ordtype1 = 1; //MOR SECT
_ordtype2 = 1; //MOR PL
_ordtype3 = 2; //LT GUN SECT
_ordtype4 = 2; //LT GUN BTY
_ordtype5 = 3; //MED GUN SECT
_ordtype6 = 3; //MED GUN BTY
_ordtype7 = 4; //NGS 1 SHIP
_ordtype8 = 4; //NGS 3 SHIPS

//AMMO

_ammo1 = 30; //MOR SECT
_ammo2 = 90; //MOR PL
_ammo3 = 30; //LT GUN SECT
_ammo4 = 90; //LT GUN BTY
_ammo5 = 30; //MED GUN SECT
_ammo6 = 90; //MED GUN BTY
_ammo7 = 25; //NGS 1 SHIP
_ammo8 = 80; //NGS 3 SHIPS

///////////////////////////////////////////////////////
///////////////////////////////////////////////////////


_nilammo = _this select 0;
_type = _this select 1;

if (_nilammo) then{ //Set unlimited ammo if true
_ammo1 = -1;
_ammo2 = -1;
_ammo3 = -1;
_ammo4 = -1;
_ammo5 = -1;
_ammo6 = -1;
_ammo7 = -1;
_ammo8 = -1;
};	



switch (_type) do {
	case 1 : {bty1 = [_numguns1, _ffernds1, _initaccuracy1, _adjacc1, _ffeacc1, _ordtype1, _ammo1] execVM "zsuArty\simartyinit.sqf";};  //MORTAR SECT
	case 2 : {bty1 = [_numguns2, _ffernds2, _initaccuracy2, _adjacc2, _ffeacc2, _ordtype2, _ammo2] execVM "zsuArty\simartyinit.sqf";};  //MORTAR PL
	case 3 : {bty1 = [_numguns3, _ffernds3, _initaccuracy3, _adjacc3, _ffeacc3, _ordtype3, _ammo3] execVM "zsuArty\simartyinit.sqf";};  //Light field gun SECT
	case 4 : {bty1 = [_numguns4, _ffernds4, _initaccuracy4, _adjacc4, _ffeacc4, _ordtype4, _ammo4] execVM "zsuArty\simartyinit.sqf";};  //Light field gun BTY
	case 5 : {bty1 = [_numguns5, _ffernds5, _initaccuracy5, _adjacc5, _ffeacc5, _ordtype5, _ammo5] execVM "zsuArty\simartyinit.sqf";};  //HEAVY FIELD GUN SECT
	case 6 : {bty1 = [_numguns6, _ffernds6, _initaccuracy6, _adjacc6, _ffeacc6, _ordtype6, _ammo6] execVM "zsuArty\simartyinit.sqf";};  //HEAVY FIELD GUN BTY
	case 7 : {bty1 = [_numguns7, _ffernds7, _initaccuracy7, _adjacc7, _ffeacc7, _ordtype7, _ammo7] execVM "zsuArty\simartyinit.sqf";};  //Single frigate - Dual 5 inch guns
	case 8 : {bty1 = [_numguns8, _ffernds8, _initaccuracy8, _adjacc8, _ffeacc8, _ordtype8, _ammo8] execVM "zsuArty\simartyinit.sqf";};  //3x Frigate
	default {;};
	};
